import * as Ast from "../ast-types";
import { EnvInfo } from "./types";
import { EnvInfoRecord } from "../ast-types";
/**
 * Recursively search for and process an environment. Arguments are
 * consumed according to the `signature` specified. The body is processed
 * with the specified `processContent` function (if specified). Any specified `renderInfo`
 * is attached to the environment node.
 *
 * @returns - a new AST
 */
export declare function processEnvironment(ast: Ast.Ast, envName: string, envInfo: EnvInfo): Ast.Ast;
/**
 * Recursively search for and process the specified environments. Arguments are
 * consumed according to the `signature` specified. The body is processed
 * with the specified `processContent` function (if given). Any specified `renderInfo`
 * is attached to the environment node.
 *
 * @returns - a new AST
 */
export declare function processEnvironments<T extends Ast.Ast>(ast: T, environments: EnvInfoRecord): T;
