import * as macroUtils from "../libs/macro-utils";
import * as tools from "../tools";
import { parse, parseMath } from "@unified-latex/unified-latex-util-parse";
import { printRaw } from "@unified-latex/unified-latex-util-print-raw";
import { parseAlignEnvironment } from "@unified-latex/unified-latex-util-align";
declare const astParsers: {
    parseAlignEnvironment: typeof parseAlignEnvironment;
    utils: {
        hasPreambleCode(nodes: import("@unified-latex/unified-latex-types").Node[]): boolean;
        trimEnvironmentContents<T extends import("@unified-latex/unified-latex-types").Ast>(ast: T): T;
        zip<T_1, U>(array1: T_1[], array2: U[]): [T_1, U][];
        trimRenderInfo: typeof macroUtils.trimRenderInfo;
        match: {
            macro(node: any, macroName?: string | undefined): node is import("@unified-latex/unified-latex-types").Macro;
            anyMacro(node: any): node is import("@unified-latex/unified-latex-types").Macro;
            environment(node: any, envName?: string | undefined): node is import("@unified-latex/unified-latex-types").Environment;
            anyEnvironment(node: any): node is import("@unified-latex/unified-latex-types").Environment;
            comment(node: any): node is import("@unified-latex/unified-latex-types").Comment;
            parbreak(node: any): node is import("@unified-latex/unified-latex-types").Parbreak;
            whitespace(node: any): node is import("@unified-latex/unified-latex-types").Whitespace;
            whitespaceLike(node: any): node is import("@unified-latex/unified-latex-types").Whitespace | (import("@unified-latex/unified-latex-types").Comment & {
                leadingWhitespace: true;
            });
            string(node: any, value?: string | undefined): node is import("@unified-latex/unified-latex-types").String;
            anyString(node: any): node is import("@unified-latex/unified-latex-types").String;
            group(node: any): node is import("@unified-latex/unified-latex-types").Group;
            argument(node: any): node is import("@unified-latex/unified-latex-types").Argument;
            blankArgument(node: any): boolean;
            math(node: any): node is import("@unified-latex/unified-latex-types").InlineMath | import("@unified-latex/unified-latex-types").DisplayMath;
            createMacroMatcher: (macros: import("@unified-latex/unified-latex-types").Macro[] | string[] | Record<string, unknown>) => import("@unified-latex/unified-latex-types").TypeGuard<import("@unified-latex/unified-latex-types").Macro>;
            createEnvironmentMatcher: (macros: string[] | Record<string, unknown>) => import("@unified-latex/unified-latex-types").TypeGuard<import("@unified-latex/unified-latex-types").Environment>;
        };
        trim: typeof macroUtils.trim;
        processEnvironment: typeof macroUtils.processEnvironment;
        splitOnMacro: typeof macroUtils.splitOnMacro;
        splitOnCondition: typeof macroUtils.splitOnCondition;
        unsplitOnMacro: typeof macroUtils.unsplitOnMacro;
        arrayJoin: typeof macroUtils.arrayJoin;
        ReferenceMap: typeof macroUtils.ReferenceMap;
        decorateArrayForPegjs: typeof macroUtils.decorateArrayForPegjs;
    };
};
export { parse, parseMath, printRaw, astParsers, tools };
